GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "ffeed029-ffd6-48f5-8f7e-338d64cd97f5",
"selected_nameplate_id": "21d5b326-c592-4fbc-a425-8c90fe25a658",
"active": true,
"department_id": "2f1b6a23-2d68-4a59-8916-090a2181ce8a",
"id": "d5e06b16-6ea6-493d-9a01-35e5162db7df",
"physical_item_id": "97f9f41a-7ec7-44cb-a80b-a1f419b9f042",
"service_item_id": "d1d734a9-7adf-4e74-92e4-8d645c041af9",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>2f1b6a23-2d68-4a59-8916-090a2181ce8a</department_id>
<id>d5e06b16-6ea6-493d-9a01-35e5162db7df</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>97f9f41a-7ec7-44cb-a80b-a1f419b9f042</physical_item_id>
<quantity>1</quantity>
<service_item_id>d1d734a9-7adf-4e74-92e4-8d645c041af9</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>21d5b326-c592-4fbc-a425-8c90fe25a658</selected_nameplate_id>
<selected_sticker_id>ffeed029-ffd6-48f5-8f7e-338d64cd97f5</selected_sticker_id>
</department_item>